Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2SFTPFileBrowser

    java.lang.Object
      com.isnetworks.ssh.AbstractFileBrowser
          com.mindbright.ssh2.SSH2SFTPFileBrowser

All Implemented Interfaces:
  com.isnetworks.ssh.FileBrowser

public class SSH2SFTPFileBrowser
extends com.isnetworks.ssh.AbstractFileBrowser

Implements a file browser which browses files through an SFTP connection.

Field Summary

Fields inherited from class com.isnetworks.ssh.AbstractFileBrowser
`dirs, files, mFileDisplay`

Constructor Summary
`SSH2SFTPFileBrowser(SSH2Connection connection, com.isnetworks.ssh.FileDisplayControl fileDisplay, java.lang.String cwd)`

Method Summary
`void` | `changeDirectory(java.lang.String newDir)` Change current working directory.
`void` | `delete(com.isnetworks.ssh.FileListItem[] files)` Delete a set of files.
`void` | `disconnect()` Disconnect from the server.
`void` | `fileDoubleClicked(com.isnetworks.ssh.FileListItem file)` Handles doubleclick events on a file.
`void` | `initialize()` Initialize the object.
`void` | `makeDirectory(java.lang.String directoryName)` Create a directory on the server.
`void` | `refresh()` Refres the listing of the current directory.
`void` | `rename(com.isnetworks.ssh.FileListItem file, java.lang.String newFileName)` Renames a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSH2SFTPFileBrowser

    public SSH2SFTPFileBrowser(SSH2Connection connection,
                               com.isnetworks.ssh.FileDisplayControl fileDisplay,
                               java.lang.String cwd)

Parameters:
  `connection` - Connection to use.
  `fileDisplay` - A display object which refers to the actual window.
  `cwd` - Directory to start in.

Method Detail

### fileDoubleClicked

    public void fileDoubleClicked(com.isnetworks.ssh.FileListItem file)
                           throws java.lang.Exception

  Handles doubleclick events on a file. If the object is a directory then we change current working directory to that directory. Otherwise nothing happens.

  Parameters:
    `file` - File doubleclicked.
  Throws:
    `java.lang.Exception`

### refresh

    public void refresh()
                 throws java.lang.Exception

  Refres the listing of the current directory.

  Throws:
    `java.lang.Exception`

### delete

    public void delete(com.isnetworks.ssh.FileListItem[] files)
                throws java.lang.Exception

  Delete a set of files.

  Parameters:
    `files` - Array of files to delete.
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize()
                    throws java.lang.Exception

  Initialize the object.

  Throws:
    `java.lang.Exception`

### makeDirectory

    public void makeDirectory(java.lang.String directoryName)
                       throws java.lang.Exception

  Create a directory on the server.

  Parameters:
    `directoryName` - Name of directory to create.
  Throws:
    `java.lang.Exception`

### rename

    public void rename(com.isnetworks.ssh.FileListItem file,
                       java.lang.String newFileName)
                throws java.lang.Exception

  Renames a file.

  Parameters:
    `file` - File to rename.
    `newFileName` - New name.
  Throws:
    `java.lang.Exception`

### changeDirectory

    public void changeDirectory(java.lang.String newDir)
                         throws java.lang.Exception

  Change current working directory.

  Parameters:
    `newDir` - Directory to change into.
  Throws:
    `java.lang.Exception`

### disconnect

    public void disconnect()

  Disconnect from the server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD